<?php

//ini_set("memory_limit","1024M");
set_time_limit(6000000);




$connection=mysql_connect('localhost', 'root', '1234') or die ("Verbindungsversuch fehlgeschlagen");
mysql_select_db('intelectra_shop__', $connection) or die("Konnte die Datenbank nicht waehlen.");
/*
$connection=mysql_connect('localhost', 'intelectra_shop_', 'Wwja71!3') or die ("Verbindungsversuch fehlgeschlagen");
mysql_select_db('intelectra_shop__', $connection) or die("Konnte die Datenbank nicht waehlen.1");
*/
echo "get data<br>";
// get items
$query = mysql_query('SELECT ersatzteilvertreiber FROM import_artikelcsv GROUP BY ersatzteilvertreiber') or die("Anfrage nicht erfolgreich");
$data = array();
while($obj = mysql_fetch_object($query)) {
	$data[] = $obj;
}

echo "imports<br>";
$z = 0;
foreach ($data as $object) {
        $short_uri = $object->ersatzteilvertreiber;
	$short_uri = str_replace(array('ä', 'Ä', 'ö', 'Ö', 'ü', 'Ü', 'ß'), array('ae', 'Ae', 'oe', 'Oe', 'ue', 'Ue', 'ss'), $short_uri);
	$short_uri = preg_replace("@[^0-9aA-zZ\-]@si", "-", $short_uri);
	$short_uri = preg_replace("@(-{2,})@si", "-", $short_uri);
		$sql = "
			INSERT INTO manufacturers
			SET
				name='".mysql_real_escape_string($object->ersatzteilvertreiber)."',
                                short_uri='".$short_uri."',
				active=1
		";
		
		//echo $sql."<br>";
		$query = mysql_query($sql);
		if (!$query) {
			echo $sql;
			echo "<br />";
		}
                else {
                    $z++;
                }
}

echo "ende: $z <br>";

?>